=== debian/changelog ===
ros-kinetic-cob-obstacle-distance (0.7.13-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.7.12-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.7.11-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Mar 2020 23:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.7.10-2xenial) xenial; urgency=high

  * Merge pull request #225 <https://github.com/ipa320/cob_control/issues/225> from fmessmer/ci_updates_kinetic
    [travis] ci updates - kinetic
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.7.9-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.7.8-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 08 Aug 2019 22:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.7.7-2xenial) xenial; urgency=high

  * Merge pull request #208 <https://github.com/ipa320/cob_control/issues/208> from ipa-jba/melodic_dev
    [Melodic] melodify
  * acommodate kdl api change
  * use streams instead of lexical cast (deprecated)
  * use urdf ptr types
  * Contributors: Felix Messmer, Jannik Abbenseth

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.7.6-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.7.5-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 19 May 2019 22:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.7.4-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.7.3-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.7.2-2xenial) xenial; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.7.1-2xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/kinetic_release_candidate' into kinetic_dev
  * Merge pull request #169 <https://github.com/ipa320/cob_control/issues/169> from ipa-fxm/kinetic_updates_indigo
    Kinetic updates indigo
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_control into kinetic_dev
    Conflicts:
    .travis.yml
  * Merge pull request #159 <https://github.com/ipa320/cob_control/issues/159> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.7.0-2xenial) xenial; urgency=high

  * Merge branch 'indigo_release_candidate' into kinetic_release_candidate
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_control into multi_distro_travis_kinetic
    Conflicts:
    .travis.yml
    README.md
  * [kinetic] migration (#115 <https://github.com/ipa320/cob_control/issues/115>)
    * [kinetic] find package Eigen3 instead of Eigen
    * [kinetic] switched from fcl to libfcl-dev dependency
    * ignore cob_obstacle_distance for now
    * [kinetic] use industrial_ci for travis
    * [kinetic] use industrial_cis ipa320 fork & notify on_success only on change
    * fixed fcl dependency
    * new fcl version switched from boost::shared to std::shared
    * whitelist package
    * use ros-industrials fork
    * cleaned up travis.yml
  * Added Eigen3 Indigo/Kinetic compatibility
  * Contributors: Benjamin Maidel, Denis Štogl, Richard Bormann, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.6.15-2xenial) xenial; urgency=high

  * use xacro --inorder
  * Merge pull request #122 <https://github.com/ipa320/cob_control/issues/122> from ipa-fxm/indigo_roslint
    roslint some packages
  * starting to roslint some packages
  * manually fix changelog
  * add possiblitiy to add shelf as obstacle
  * Contributors: Nadia Hammoudeh García, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.6.14-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.6.13-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.6.12-2xenial) xenial; urgency=high

  * Two publishers where publishing to the same frame name
  * Contributors: ipa-bfb

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.6.11-2xenial) xenial; urgency=high

  * outsource obstacle_distance messages
  * add missing install tag
  * Added method to set drawable again and to avoid drawing of self-collision links.
  * Renamings and replaced box with sphere.
  * Fixed order of transform and service registration. Additionally added more time to wait for service availability.
  * working on marker publisher
  * working on log output
  * renaming frame - link
  * Contributors: Marco Bezzon, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.6.10-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-kinetic-cob-obstacle-distance (0.6.9-2xenial) xenial; urgency=high

  * review dependencies
  * authors in package xml

