=== debian/control ===
Source: ros-kinetic-cob-obstacle-distance
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libboost-all-dev, libeigen3-dev, libfcl-0.5-dev, pkg-config, ros-kinetic-catkin, ros-kinetic-cob-control-msgs, ros-kinetic-cob-srvs, ros-kinetic-dynamic-reconfigure, ros-kinetic-eigen-conversions, ros-kinetic-geometry-msgs, ros-kinetic-kdl-conversions, ros-kinetic-kdl-parser, ros-kinetic-moveit-msgs, ros-kinetic-orocos-kdl, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-roslint, ros-kinetic-sensor-msgs, ros-kinetic-shape-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-tf-conversions, ros-kinetic-urdf, ros-kinetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-cob-obstacle-distance
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libboost-all-dev, libeigen3-dev, libfcl-0.5-dev, pkg-config, ros-kinetic-cob-control-msgs, ros-kinetic-cob-srvs, ros-kinetic-dynamic-reconfigure, ros-kinetic-eigen-conversions, ros-kinetic-geometry-msgs, ros-kinetic-interactive-markers, ros-kinetic-joint-state-publisher, ros-kinetic-kdl-conversions, ros-kinetic-kdl-parser, ros-kinetic-moveit-msgs, ros-kinetic-orocos-kdl, ros-kinetic-robot-state-publisher, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-roslint, ros-kinetic-rospy, ros-kinetic-rviz, ros-kinetic-sensor-msgs, ros-kinetic-shape-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-tf-conversions, ros-kinetic-urdf, ros-kinetic-visualization-msgs, ros-kinetic-xacro
Description: The cob_obstacle_distance package calculates distances between both robot links and obstacles to be used for obstacle avoidance within cob_twist_controller framework.
